import { __assign, __extends } from "tslib";
import { EC2InstanceConnectServiceException as __BaseException } from "./EC2InstanceConnectServiceException";
var AuthException = (function (_super) {
    __extends(AuthException, _super);
    function AuthException(opts) {
        var _this = _super.call(this, __assign({ name: "AuthException", $fault: "client" }, opts)) || this;
        _this.name = "AuthException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, AuthException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return AuthException;
}(__BaseException));
export { AuthException };
var EC2InstanceNotFoundException = (function (_super) {
    __extends(EC2InstanceNotFoundException, _super);
    function EC2InstanceNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "EC2InstanceNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "EC2InstanceNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, EC2InstanceNotFoundException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return EC2InstanceNotFoundException;
}(__BaseException));
export { EC2InstanceNotFoundException };
var EC2InstanceStateInvalidException = (function (_super) {
    __extends(EC2InstanceStateInvalidException, _super);
    function EC2InstanceStateInvalidException(opts) {
        var _this = _super.call(this, __assign({ name: "EC2InstanceStateInvalidException", $fault: "client" }, opts)) || this;
        _this.name = "EC2InstanceStateInvalidException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, EC2InstanceStateInvalidException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return EC2InstanceStateInvalidException;
}(__BaseException));
export { EC2InstanceStateInvalidException };
var EC2InstanceTypeInvalidException = (function (_super) {
    __extends(EC2InstanceTypeInvalidException, _super);
    function EC2InstanceTypeInvalidException(opts) {
        var _this = _super.call(this, __assign({ name: "EC2InstanceTypeInvalidException", $fault: "client" }, opts)) || this;
        _this.name = "EC2InstanceTypeInvalidException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, EC2InstanceTypeInvalidException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return EC2InstanceTypeInvalidException;
}(__BaseException));
export { EC2InstanceTypeInvalidException };
var InvalidArgsException = (function (_super) {
    __extends(InvalidArgsException, _super);
    function InvalidArgsException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidArgsException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidArgsException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidArgsException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InvalidArgsException;
}(__BaseException));
export { InvalidArgsException };
export var SendSerialConsoleSSHPublicKeyRequest;
(function (SendSerialConsoleSSHPublicKeyRequest) {
    SendSerialConsoleSSHPublicKeyRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SendSerialConsoleSSHPublicKeyRequest || (SendSerialConsoleSSHPublicKeyRequest = {}));
export var SendSerialConsoleSSHPublicKeyResponse;
(function (SendSerialConsoleSSHPublicKeyResponse) {
    SendSerialConsoleSSHPublicKeyResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SendSerialConsoleSSHPublicKeyResponse || (SendSerialConsoleSSHPublicKeyResponse = {}));
var SerialConsoleAccessDisabledException = (function (_super) {
    __extends(SerialConsoleAccessDisabledException, _super);
    function SerialConsoleAccessDisabledException(opts) {
        var _this = _super.call(this, __assign({ name: "SerialConsoleAccessDisabledException", $fault: "client" }, opts)) || this;
        _this.name = "SerialConsoleAccessDisabledException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, SerialConsoleAccessDisabledException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return SerialConsoleAccessDisabledException;
}(__BaseException));
export { SerialConsoleAccessDisabledException };
var SerialConsoleSessionLimitExceededException = (function (_super) {
    __extends(SerialConsoleSessionLimitExceededException, _super);
    function SerialConsoleSessionLimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "SerialConsoleSessionLimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "SerialConsoleSessionLimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, SerialConsoleSessionLimitExceededException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return SerialConsoleSessionLimitExceededException;
}(__BaseException));
export { SerialConsoleSessionLimitExceededException };
var SerialConsoleSessionUnavailableException = (function (_super) {
    __extends(SerialConsoleSessionUnavailableException, _super);
    function SerialConsoleSessionUnavailableException(opts) {
        var _this = _super.call(this, __assign({ name: "SerialConsoleSessionUnavailableException", $fault: "server" }, opts)) || this;
        _this.name = "SerialConsoleSessionUnavailableException";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, SerialConsoleSessionUnavailableException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return SerialConsoleSessionUnavailableException;
}(__BaseException));
export { SerialConsoleSessionUnavailableException };
var ServiceException = (function (_super) {
    __extends(ServiceException, _super);
    function ServiceException(opts) {
        var _this = _super.call(this, __assign({ name: "ServiceException", $fault: "server" }, opts)) || this;
        _this.name = "ServiceException";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, ServiceException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ServiceException;
}(__BaseException));
export { ServiceException };
var ThrottlingException = (function (_super) {
    __extends(ThrottlingException, _super);
    function ThrottlingException(opts) {
        var _this = _super.call(this, __assign({ name: "ThrottlingException", $fault: "client" }, opts)) || this;
        _this.name = "ThrottlingException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ThrottlingException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ThrottlingException;
}(__BaseException));
export { ThrottlingException };
export var SendSSHPublicKeyRequest;
(function (SendSSHPublicKeyRequest) {
    SendSSHPublicKeyRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SendSSHPublicKeyRequest || (SendSSHPublicKeyRequest = {}));
export var SendSSHPublicKeyResponse;
(function (SendSSHPublicKeyResponse) {
    SendSSHPublicKeyResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SendSSHPublicKeyResponse || (SendSSHPublicKeyResponse = {}));
