import { Logger as __Logger } from "@aws-sdk/types";
import { EC2InstanceConnectClientConfig } from "./EC2InstanceConnectClient";

export declare const getRuntimeConfig: (config: EC2InstanceConnectClientConfig) => {
    apiVersion: string;
    disableHostPrefix: boolean;
    logger: __Logger;
    regionInfoProvider: import("@aws-sdk/types").RegionInfoProvider;
    serviceId: string;
    urlParser: import("@aws-sdk/types").UrlParser;
};
